Module java.desktop
Package java.awt

## Enum GraphicsDevice.WindowTranslucency

- java.lang.Object
- - java.lang.Enum<GraphicsDevice.WindowTranslucency>
  - - java.awt.GraphicsDevice.WindowTranslucency

All Implemented Interfaces:
  Serializable, Comparable<GraphicsDevice.WindowTranslucency>

Enclosing class:
  GraphicsDevice

    public static enum GraphicsDevice.WindowTranslucency
    extends Enum<GraphicsDevice.WindowTranslucency>

Kinds of translucency supported by the underlying system.

Since:
  1.7
See Also:
  `GraphicsDevice.isWindowTranslucencySupported(java.awt.GraphicsDevice.WindowTranslucency)`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PERPIXEL_TRANSLUCENT` Represents support in the underlying system for windows that contain or might contain pixels with arbitrary alpha values between and including 0.0 and 1.0.
`PERPIXEL_TRANSPARENT` Represents support in the underlying system for windows each pixel of which is guaranteed to be either completely opaque, with an alpha value of 1.0, or completely transparent, with an alpha value of 0.0.
`TRANSLUCENT` Represents support in the underlying system for windows all of the pixels of which have the same alpha value between or including 0.0 and 1.0.

### Method Summary

All Methods Static Methods Concrete Methods
`static GraphicsDevice.WindowTranslucency` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GraphicsDevice.WindowTranslucency[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PERPIXEL_TRANSLUCENT

    public static final GraphicsDevice.WindowTranslucency PERPIXEL_TRANSLUCENT

Represents support in the underlying system for windows that contain or might contain pixels with arbitrary alpha values between and including 0.0 and 1.0.

#### PERPIXEL_TRANSPARENT

    public static final GraphicsDevice.WindowTranslucency PERPIXEL_TRANSPARENT

Represents support in the underlying system for windows each pixel of which is guaranteed to be either completely opaque, with an alpha value of 1.0, or completely transparent, with an alpha value of 0.0.

#### TRANSLUCENT

    public static final GraphicsDevice.WindowTranslucency TRANSLUCENT

Represents support in the underlying system for windows all of the pixels of which have the same alpha value between or including 0.0 and 1.0.

### Method Detail

#### values

    public static GraphicsDevice.WindowTranslucency[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GraphicsDevice.WindowTranslucency c : GraphicsDevice.WindowTranslucency.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GraphicsDevice.WindowTranslucency valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null